Method: modelDeploymentMonitoringJobs.pause

Full name: projects.locations.modelDeploymentMonitoringJobs.pause

Pauses a ModelDeploymentMonitoringJob. If the job is running, the server makes a best effort to cancel the job. Will mark ModelDeploymentMonitoringJob.state to 'PAUSED'.

Endpoint

post https://{service-endpoint}/v1beta1/{name}:pause

Where {service-endpoint} is one of the supported service endpoints.

Path parameters

name string

Required. The resource name of the ModelDeploymentMonitoringJob to pause. Format: projects/{project}/locations/{location}/modelDeploymentMonitoringJobs/{modelDeploymentMonitoringJob}

Request body

The request body must be empty.

Response body

If successful, the response body is an empty JSON object.

IAM Permissions

Requires the following IAM permission on the name resource:

  • aiplatform.modelDeploymentMonitoringJobs.pause

For more information, see the IAM documentation.